Package org.codehaus.groovy.reflection

# Class CachedClass.CachedMethodComparatorWithString

java.lang.Object
org.codehaus.groovy.reflection.CachedClass.CachedMethodComparatorWithString

All Implemented Interfaces:
  `Comparator`

Enclosing class:
  CachedClass

public static class CachedClass.CachedMethodComparatorWithString extends Object implements Comparator

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Comparator`
  `INSTANCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CachedMethodComparatorWithString()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(Object o1, Object o2)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Field Details

  - ### INSTANCE

    public static final Comparator INSTANCE

- ## Constructor Details

  - ### CachedMethodComparatorWithString

    public CachedMethodComparatorWithString()

- ## Method Details

  - ### compare

    public int compare(Object o1, Object o2)
    Specified by:
      `compare` in interface `Comparator`